Name:           mediawiki127-HTTP302Found
Version:        2.0.1
Release:        1%{?dist}
Summary:        Forces an external HTTP 302 redirect instead of internal redirects

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:HTTP302Found
Source0:        http://puiterwijk.fedorapeople.org/releases/HTTP302Found-%{version}.tar.gz
Source1:        README.fedora
BuildArch:      noarch

Requires:       mediawiki127

%description
Pushes a HTTP code 302 (Found) to the browser when there is a redirect instead
of handling it internally. The end user will not notice any difference (other
than the address to the page having an ?rd=Redirecting_page bit at the end).

%prep
%setup -q -n HTTP302Found-2.0.1
cp %{SOURCE1} README.fedora

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki127/extensions/HTTP302Found/
install -cpm 644 %{_builddir}/%{buildsubdir}/*.php %{buildroot}%{_datadir}/mediawiki127/extensions/HTTP302Found/

%files
%defattr(-,root,root,-)
%license COPYING
%doc README.fedora
%{_datadir}/mediawiki127/extensions/HTTP302Found


%changelog
* Wed Sep 07 2016 Kevin Fenzi <kevin@scrye.com> - 2.0.1-1
- Initial version for mediawiki127
